Subject: Re: [Bitcoin-development] BIP70: PaymentACK semantics

From: Pieter Wuille <[email-masked]>
Date: Mon, 27 Jan 2014 23:17:58 +0100

On Mon, Jan 27, 2014 at 11:03 PM, Kevin Greene <[email-masked]> wrote:
> +1 for an error field.

Agree, I think we need a way for client applications to interpret the response.

> Should the wallet broadcast the transaction to the bitcoin network when it
> receives an ACK, or always assume that the merchant server will do that?

In my opinion, that should be the primary meaning of receiving an ACK:
acknowledgement that the receiver takes responsibility for getting the
transaction confirmed (to the extent possible, of course).

-- 
Pieter